""" Decorators """
import warnings


def deprecated(f):
    """ Show deprecated warning """
    def wr(*args, **kwargs):
        """ wrapper """
        warnings.warn(f"{f} is Deprecated", DeprecationWarning)
        return f(*args, **kwargs)
    return wr
